Package org.apache.felix.http.base.internal.runtime.dto

# Class FailedDTOHolder

java.lang.Object
org.apache.felix.http.base.internal.runtime.dto.FailedDTOHolder

public final class FailedDTOHolder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<org.osgi.service.servlet.runtime.dto.FailedErrorPageDTO>`
`failedErrorPageDTOs`
`final List<org.osgi.service.servlet.runtime.dto.FailedFilterDTO>`
`failedFilterDTOs`
`final List<org.osgi.service.servlet.runtime.dto.FailedListenerDTO>`
`failedListenerDTOs`
`final List<org.osgi.service.servlet.runtime.dto.FailedPreprocessorDTO>`
`failedPreprocessorDTOs`
`final List<org.osgi.service.servlet.runtime.dto.FailedResourceDTO>`
`failedResourceDTOs`
`final List<org.osgi.service.servlet.runtime.dto.FailedServletContextDTO>`
`failedServletContextDTOs`
`final List<org.osgi.service.servlet.runtime.dto.FailedServletDTO>`
`failedServletDTOs`

## Constructor Summary

Constructors
Constructor
Description
`FailedDTOHolder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(AbstractInfo<?> info, long contextId, int failureCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### failedFilterDTOs

public final List<org.osgi.service.servlet.runtime.dto.FailedFilterDTO> failedFilterDTOs

### failedListenerDTOs

public final List<org.osgi.service.servlet.runtime.dto.FailedListenerDTO> failedListenerDTOs

### failedServletDTOs

public final List<org.osgi.service.servlet.runtime.dto.FailedServletDTO> failedServletDTOs

### failedResourceDTOs

public final List<org.osgi.service.servlet.runtime.dto.FailedResourceDTO> failedResourceDTOs

### failedErrorPageDTOs

public final List<org.osgi.service.servlet.runtime.dto.FailedErrorPageDTO> failedErrorPageDTOs

### failedServletContextDTOs

public final List<org.osgi.service.servlet.runtime.dto.FailedServletContextDTO> failedServletContextDTOs

### failedPreprocessorDTOs

public final List<org.osgi.service.servlet.runtime.dto.FailedPreprocessorDTO> failedPreprocessorDTOs

## Constructor Details

### FailedDTOHolder

public FailedDTOHolder()

## Method Details

### add

public void add(AbstractInfo<?> info, long contextId, int failureCode)